Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class AbstractBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder

Direct Known Subclasses:
  BasicBorders.ButtonBorder, BasicBorders.FieldBorder, BasicBorders.MarginBorder, BasicBorders.MenuBarBorder, BevelBorder, CompoundBorder, EmptyBorder, EtchedBorder, LineBorder, MetalBorders.ButtonBorder, MetalBorders.Flush3DBorder, MetalBorders.InternalFrameBorder, MetalBorders.MenuBarBorder, MetalBorders.MenuItemBorder, MetalBorders.PopupMenuBorder, MetalBorders.ScrollPaneBorder, MetalBorders.ToolBarBorder, TitledBorder

public abstract class AbstractBorder
extends java.lang.Object
implements Border, java.io.Serializable

A class which implements an empty border with no size. This provides a convenient base class from which other border classes can be easily derived.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`AbstractBorder()`

Method Summary
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` This default implementation returns the value of getBorderMargins.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`static java.awt.Rectangle` | `getInteriorRectangle(java.awt.Component c, Border b, int x, int y, int width, int height)` This method returns a rectangle using the arguements minus the insets of the border.
`java.awt.Rectangle` | `getInteriorRectangle(java.awt.Component c, int x, int y, int width, int height)` This is a convience method that calls the static method.
`boolean` | `isBorderOpaque()` This default implementation returns false.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` This default implementation does no painting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBorder

    public AbstractBorder()

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  This default implementation does no painting.
  Specified by:
    paintBorder in interface Border

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  This default implementation returns the value of getBorderMargins.
  Specified by:
    getBorderInsets in interface Border

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized

### isBorderOpaque

    public boolean isBorderOpaque()

  This default implementation returns false.
  Specified by:
    isBorderOpaque in interface Border

### getInteriorRectangle

    public java.awt.Rectangle getInteriorRectangle(java.awt.Component c,
                                                   int x,
                                                   int y,
                                                   int width,
                                                   int height)

  This is a convience method that calls the static method.

### getInteriorRectangle

    public static java.awt.Rectangle getInteriorRectangle(java.awt.Component c,
                                                          Border b,
                                                          int x,
                                                          int y,
                                                          int width,
                                                          int height)

  This method returns a rectangle using the arguements minus the insets of the border. This is useful for determining the area that components should draw in that will not intersect the border.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.